<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 	if(!isset($_SESSION)) session_start();
	
	require_once "../core/core_classes.php";
	require_once "../config.php";
	$user = json_decode($_SESSION['user']);

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

		case 'guardar':
		
			$pNidEmpresa = $user->nidEmpresa;
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');	
			$pTipoServicio = filter_input(INPUT_POST, 'pTipoServicio');			
			$pTipoCarga = filter_input(INPUT_POST, 'pTipoCarga');
			$pCosto = filter_input(INPUT_POST, 'pCosto');
			$pTipoImo = filter_input(INPUT_POST, 'pTipoImo');
			$pTipoPeso = filter_input(INPUT_POST, 'pTipoPeso');
			$pCompleta = -1;
			
			
			// get settings
			$stmt = $conn->prepare("call tarifas_insertar($pNidEmpresa,$pNidCliente,$pTipoServicio,$pTipoCarga,$pCosto,$pTipoImo,$pTipoPeso,$pCompleta)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;
			
		case 'actualizar':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			$pTipoCarga = filter_input(INPUT_POST, 'pTipoCarga');
			$pTipoServicio = filter_input(INPUT_POST, 'pTipoServicio');
			$pCosto = filter_input(INPUT_POST, 'pCosto');
			$pTipoImo = filter_input(INPUT_POST, 'pTipoImo');
			$pTipoPeso = filter_input(INPUT_POST, 'pTipoPeso');
						
			
			// get settings
			$stmt = $conn->prepare("call tarifas_actualizar($pNid,$pNidEmpresa,$pNidCliente,$pTipoCarga,$pTipoServicio,$pCosto,$pTipoImo,$pTipoPeso)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;
			
		case 'eliminar':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			$pActivo = filter_input(INPUT_POST, 'pActivo');
			
			// get settings
			$stmt = $conn->prepare("call tarifas_estado($pNid,$pNidEmpresa,$pNidCliente,$pActivo)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;			
		case 'consultaClientes':

			$pNidEmpresa = $user->nidEmpresa;
		
			// get settings
			$stmt = $conn->prepare("call clientes_consulta($pNidEmpresa)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_cliente();
				$respuesta->nid = $row["Id"];
				$respuesta->nombre = $row["Nombre"];
				$respuesta->patente = $row["Patente"];
			
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		case 'consultaXestado':

			$pNidEmpresa = $user->nidEmpresa;
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
		
			// get settings
			$stmt = $conn->prepare("call tarifas_consultaxCliente($pNidEmpresa,$pNidCliente)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_cliente_tarifas();
				$respuesta->nid = $row["IdTarifa"];
				$respuesta->nidTipoCarga = $row["IdTipoCarga"];
				$respuesta->tipoCarga = $row["NomTipoCarga"];
				$respuesta->nidTipoServicio = $row["IdTipoServicio"];
				$respuesta->tipoServicio = $row["NomTipoServicio"];
				$respuesta->nidImo = $row["imo"];
				$respuesta->imo = $row["NOMIMO"];
				$respuesta->costo = $row["Costo"];				
				$respuesta->nidTipoPeso = $row["tipoPeso"];
				$respuesta->tipoPeso = $row["nomTipoPeso"];
				
				
			
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;			
			
		case 'consultaXnid':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
		
			// get settings
			$stmt = $conn->prepare("call tarifas_consultaxId($pNid,$pNidEmpresa,$pNidCliente)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_cliente_tarifas();
				$respuesta->nid = $row["IdTarifa"];
				$respuesta->nidTipoCarga = $row["IdTipoCarga"];
				$respuesta->tipoCarga = $row["NomTipoCarga"];
				$respuesta->nidTipoServicio = $row["IdTipoServicio"];
				$respuesta->tipoServicio = $row["NomTipoServicio"];
				$respuesta->nidImo = $row["imo"];
				$respuesta->imo = $row["NOMIMO"];
				$respuesta->costo = $row["Costo"];
				$respuesta->nidTipoPeso = $row["tipoPeso"];
				$respuesta->tipoPeso = $row["nomTipoPeso"];
		
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
